html, body {
    margin:0;
    padding:0;
    width:100%;
    height:100%;
}

.container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

* {
    box-sizing: border-box;
  }

.column1 {
    flex: 0 0 200px;
    border: solid;
    border-width: 1px;
    height: 1080px;
}
.column2 {
    flex: 1 1 auto;
    border: solid;
    border-width: 1px;
    height: 1080px;
    min-width: 100px;
}
.column3 {
    flex: 0 0 300px;
    border: solid;
    border-width: 1px;
    height: 1080px;
}
  
.row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}